<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shop_articles', function (Blueprint $table) {
            $table->dropUnique('ref');
            $table->unique(['ref', 'deleted_at'], 'shop_articles_ref_deleted_at_unique');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shop_articles', function (Blueprint $table) {
            $table->dropUnique('shop_articles_ref_deleted_at_unique');
            $table->unique('ref');
        });
    }
};
